SolidGetAllIntersectionPoints Method

Used to get all the intersection points between the solid and a plane. Does not arrange the points into polygons, thus a lot faster.

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public IEnumerator GetAllIntersectionPoints(
	Point point1,
	Point point2,
	Point point3
)

Parameters

point1
Type: Tekla.Structures.Geometry3dPoint
1st of the 3 points defining a plane
point2
Type: Tekla.Structures.Geometry3dPoint
2nd of the 3 points defining a plane
point3
Type: Tekla.Structures.Geometry3dPoint
3rd of the 3 points defining a plane

Return Value

Type: IEnumerator
An IEnumerator containing the intersection points of type the Point
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next